<?xml version="1.0"?>

<page layout="3columns" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <body>
        <referenceContainer name="header-wrapper">
            <container name="header-test-wrapper" htmlClass="header-test" htmlTag="div">
                <block name="logoExtension" template="Magento_Theme::logoExtension.phtml" after="logo"/>
            </container>
        </referenceContainer>

        <referenceContainer name="footer">
            <container name="footer-test-wrapper" htmlClass="footer-test" htmlTag="div">
                <block name="test" template="Magento_Theme::test.phtml" after="-" />
                <block name="test2" as="test2as" template="Magento_Theme::testas.phtml"/>
            </container>

        </referenceContainer>

    </body>
</page>
